hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lars Hofhansl (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HBASE-9356) [0.94] SecureServer.INSECURE_VERSIONS is declared incorrectly
Date Tue, 27 Aug 2013 18:56:52 GMT
Lars Hofhansl created HBASE-9356:
------------------------------------

             Summary: [0.94] SecureServer.INSECURE_VERSIONS is declared incorrectly
                 Key: HBASE-9356
                 URL: https://issues.apache.org/jira/browse/HBASE-9356
             Project: HBase
          Issue Type: Bug
            Reporter: Lars Hofhansl
            Priority: Trivial
             Fix For: 0.94.12


I just found spurious messages of the form:
2013-08-27 18:52:58,389 WARN org.apache.hadoop.hbase.ipc.SecureServer: Incorrect header or
version mismatch from <host:port> got version 3 expected version 4

Version 3 means insecure and the code tries to test for it, but the insecure version are declared
in Set<Byte> and are then tested again an int, which apparently is always false.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message